# Installation

## Step 1: Download and Prepare Files

#### **Download the Script from FiveM Keymaster**

* Visit the [FiveM Keymaster](https://keymaster.fivem.net/) site.
* Log in with your account credentials.
* Locate the Chopshop with Welding Minigame and Tools scripts in your Granted Assets section.
* Download the script files from Keymaster.

**Configure rm\_chopshop**

* For this script, you can change vehicle models, house/key locations (**15+ pre-configured location**), vehicle dismantling location and everything.
* If you want to add new vehicle models to the script, you can enter the desired vehicle models in **data/vehicles.lua**
* If you want to enter new house/key and vehicle dismantling location in the script, you can enter them in **data/coords.lua**.
* You can check **data/prices.lua** to change items, prices and trade items in the buy and trade menu.

**Install and Configure ox\_lib**

* Download the latest version of **ox\_lib** from the [official GitHub page](https://github.com/overextended/ox_lib).
* Extract the `ox_lib` files to your `resources` folder.
* In your `server.cfg`, ensure that `ox_lib` is started before the Chopshop script by adding the following line:

## Step 2: Add Script to Server Configuration

#### **Edit `server.cfg`**

* Open the `server.cfg` file located in the root directory of your FiveM server.
* Add the following line to ensure the Chopshop script starts with your server:

```
ensure ox_lib
ensure rm_tools
ensure rm_chopshop
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/chopshop-with-welding-minigame/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
